/// <reference types="react" />
import { AttachmentBlock as RenderElement } from "./render-attachment-block";
import { FullCloudEditor } from "../..";
import { RenderElementProps } from "slate-react";
export declare type AttachmentBlockElementType = {
    type: "attachment-block";
    id: string;
    filename: string;
    bytes: number;
    children: [{
        text: "";
    }];
};
/**
 * Augment `Editor` to support this element type
 */
declare function withEditor(editor: FullCloudEditor): FullCloudEditor;
/**
 * Augment `renderElement` method to support this element type
 */
declare function withRenderElement(renderElement: (props: RenderElementProps) => JSX.Element): (props: RenderElementProps) => JSX.Element;
export declare const AttachmentBlock: {
    ELEMENT_TYPE: "attachment-block";
    Element: typeof RenderElement;
    withEditor: typeof withEditor;
    withRenderElement: typeof withRenderElement;
};
export {};
