"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentBlock = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const slate_1 = require("slate");
const slate_react_1 = require("slate-react");
const emotion_1 = require("emotion");
const bytes_1 = __importDefault(require("bytes"));
const __1 = require("../..");
const slate_react_2 = require("slate-react");
const react_1 = require("react");
const icons_1 = require("../../icons");
const $attachmentBlock = (0, emotion_1.css) `
  position: relative;
  border-radius: 0.5em;
  border: 1px solid #e0e0e0;
  margin: 8px 0;
  max-width: 360px;
  background: white;
  .--container {
    display: flex;
    gap: 0.5em;
    padding: 1em;
    align-items: center;
  }
  .--icon {
    flex: 0 0 auto;
    color: #c0c0c0;
    font-size: 1.25em;
  }
  .--icon-button {
    width: 1em;
    height: 1em;
    border-radius: 0.25em;
    padding: 0.25em;
    &:hover {
      background: #f0f0f0;
    }
  }
  .--download-icon {
    cursor: pointer;
    color: #c0c0c0;
    &:hover {
      color: black;
    }
  }
  .--trash-icon {
    cursor: pointer;
    transition: color 0.1s, background-color 0.1s;
    color: #d00000;
    background: #f8f0f0;
    &:hover {
      color: red;
      background: #ffe0e0;
    }
  }
  .--body {
    flex: 1 1 auto;
  }
  .--status-bar {
    margin-top: 0.25em;
    font-size: 0.9em;
    color: #808080;
  }
`;
function AttachmentBlock({ attributes, element, children, }) {
    const editor = (0, slate_react_1.useSlateStatic)();
    const upload = (0, __1.useUpload)(element.id);
    const highlightedStyle = (0, __1.useHighlightedStyle)();
    const removeElement = (0, react_1.useCallback)(() => {
        const at = slate_react_2.ReactEditor.findPath(editor, element);
        slate_1.Transforms.removeNodes(editor, { at });
    }, [editor, element]);
    return ((0, jsx_runtime_1.jsxs)("div", { ...attributes, className: $attachmentBlock, style: highlightedStyle, children: [(0, jsx_runtime_1.jsxs)("div", { className: "--container", contentEditable: false, children: [(0, jsx_runtime_1.jsx)("div", { className: "--icon", children: (0, jsx_runtime_1.jsx)(icons_1.FileIcon, {}) }), (0, jsx_runtime_1.jsxs)("div", { className: "--body", children: [(0, jsx_runtime_1.jsx)("div", { children: element.filename }), (0, jsx_runtime_1.jsx)(__1.StatusBar, { upload: upload, className: "--status-bar", width: 192, height: 16, children: (0, bytes_1.default)(element.bytes) })] }), upload.status === "complete" ? ((0, jsx_runtime_1.jsx)("div", { className: "--icon", children: (0, jsx_runtime_1.jsx)("a", { href: upload.url, target: "_blank", rel: "noreferrer", className: "--icon-button --download-icon", download: true, children: (0, jsx_runtime_1.jsx)(icons_1.DownloadIcon, {}) }) })) : null, upload.status === "error" ? ((0, jsx_runtime_1.jsx)("div", { className: "--icon", children: (0, jsx_runtime_1.jsx)("div", { className: "--icon-button --trash-icon", onClick: removeElement, children: (0, jsx_runtime_1.jsx)(icons_1.TrashIcon, {}) }) })) : null] }), children] }));
}
exports.AttachmentBlock = AttachmentBlock;
