/// <reference types="react" />
import { RenderElementProps } from "slate-react";
import { FullCloudEditor } from "../../types";
import { AttachmentBlockElementType } from "../attachment-block";
import { ImageBlockElementType } from "../image-block";
/**
 * Represents both the ImageBlock and AttachmentBlock element types
 */
export declare type CloudComponentsElementType = ImageBlockElementType | AttachmentBlockElementType;
/**
 * Adds both ImageBlock and AttachmentBlock handling to the editor
 */
declare function withEditor(editor: FullCloudEditor): FullCloudEditor;
/**
 * Rendering for both `ImageBlock` and `AttachmentBlock`
 */
declare function withRenderElement(renderElement: (props: RenderElementProps) => JSX.Element): (props: RenderElementProps) => JSX.Element;
export declare const CloudComponents: {
    withEditor: typeof withEditor;
    withRenderElement: typeof withRenderElement;
};
export {};
