"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudComponents = void 0;
const attachment_block_1 = require("../attachment-block");
const image_block_1 = require("../image-block");
/**
 * Adds both ImageBlock and AttachmentBlock handling to the editor
 */
function withEditor(editor) {
    /**
     * NOTE: `ImageBlock` needs to be on the outside so it gets handled first
     * on and upload. Otherwise `AttachmentBlock` will handle the image upload.
     */
    return image_block_1.ImageBlock.withEditor(attachment_block_1.AttachmentBlock.withEditor(editor));
}
/**
 * Rendering for both `ImageBlock` and `AttachmentBlock`
 */
function withRenderElement(renderElement) {
    return image_block_1.ImageBlock.withRenderElement(attachment_block_1.AttachmentBlock.withRenderElement(renderElement));
}
exports.CloudComponents = {
    withEditor,
    withRenderElement,
};
