"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageBlock = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const assert_type_1 = require("@thesunny/assert-type");
const __1 = require("../..");
const transforms_1 = require("../../transforms");
const ELEMENT_TYPE = "image-block";
assert_type_1.AssertType.Extends(true);
/**
 * Augment `Editor` to support this element type
 */
function withEditor(editor) {
    const { cloud } = editor;
    /**
     * override `isVoid`
     */
    const originalIsVoid = editor.isVoid;
    editor.isVoid = (element) => {
        return element.type === ELEMENT_TYPE ? true : originalIsVoid(element);
    };
    /**
     * override `onUpload`
     */
    const originalOnUpload = cloud.onUpload;
    cloud.onUpload = (e) => {
        if (e.type !== "image")
            return originalOnUpload(e);
        (0, transforms_1.insertBlock)(editor, {
            type: ELEMENT_TYPE,
            id: e.id,
            width: e.initialWidth,
            height: e.initialHeight,
            maxWidth: e.maxWidth,
            maxHeight: e.maxHeight,
            isAnimated: e.isAnimated,
            children: [{ text: "" }],
        });
    };
    return editor;
}
/**
 * The `Element` component to render
 */
function Component({ attributes, element, children, }) {
    return ((0, jsx_runtime_1.jsxs)("div", { ...attributes, style: { margin: "8px 0" }, children: [(0, jsx_runtime_1.jsx)(__1.HostedImage, { element: element, style: { borderRadius: element.width < 100 ? 0 : 4 } }), children] }));
}
/**
 * Augment `renderElement` method to support this element type
 */
function withRenderElement(renderElement) {
    const originalRenderElement = renderElement;
    return function renderElement(props) {
        if (props.element.type !== ELEMENT_TYPE)
            return originalRenderElement(props);
        return (0, jsx_runtime_1.jsx)(Component, { ...props, element: props.element });
    };
}
exports.ImageBlock = {
    withEditor,
    withRenderElement,
};
