/// <reference types="react" />
import { RenderElementProps } from "slate-react";
import { RenderElementPropsFor, FullCloudEditor } from "../..";
export declare type ImageInlineElementType = {
    type: "image-inline";
    /**
     * Must include id and originSize
     */
    id: string;
    width: number;
    height: number;
    maxWidth: number;
    maxHeight: number;
    isAnimated?: boolean;
    children: [{
        text: "";
    }];
};
export declare const ELEMENT_TYPE: ImageInlineElementType["type"];
/**
 * Augment `Editor` to support this element type
 */
declare function withEditor(editor: FullCloudEditor): FullCloudEditor;
export declare function Component({ attributes, element, children, }: RenderElementPropsFor<ImageInlineElementType>): JSX.Element;
/**
 * Augment `renderElement` method to support this element type
 */
declare function withRenderElement(renderElement: (props: RenderElementProps) => JSX.Element): (props: RenderElementProps) => JSX.Element;
export declare const ImageInline: {
    withEditor: typeof withEditor;
    withRenderElement: typeof withRenderElement;
};
export {};
