"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageInline = exports.Component = exports.ELEMENT_TYPE = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const assert_type_1 = require("@thesunny/assert-type");
const __1 = require("../..");
const slate_1 = require("slate");
exports.ELEMENT_TYPE = "image-inline";
assert_type_1.AssertType.Extends(true);
/**
 * Augment `Editor` to support this element type
 */
function withEditor(editor) {
    const { cloud } = editor;
    /**
     * override `isVoid`
     */
    const originalIsVoid = editor.isVoid;
    editor.isVoid = (element) => {
        return element.type === exports.ELEMENT_TYPE ? true : originalIsVoid(element);
    };
    /**
     * override `isInline`
     */
    const originalIsInline = editor.isInline;
    editor.isInline = (element) => {
        return element.type === exports.ELEMENT_TYPE ? true : originalIsInline(element);
    };
    /**
     * override `onUpload`
     */
    const originalOnUpload = cloud.onUpload;
    cloud.onUpload = (e) => {
        if (e.type !== "image")
            return originalOnUpload(e);
        slate_1.Transforms.insertNodes(editor, {
            type: "image-inline",
            id: e.id,
            width: e.initialWidth,
            height: e.initialHeight,
            maxWidth: e.maxWidth,
            maxHeight: e.maxHeight,
            isAnimated: e.isAnimated,
            children: [{ text: "" }],
        });
    };
    return editor;
}
function Component({ attributes, element, children, }) {
    return ((0, jsx_runtime_1.jsxs)("span", { ...attributes, children: [(0, jsx_runtime_1.jsx)(__1.HostedImage, { element: element, style: { borderRadius: element.width < 100 ? 0 : 4 } }), children] }));
}
exports.Component = Component;
/**
 * Augment `renderElement` method to support this element type
 */
function withRenderElement(renderElement) {
    const originalRenderElement = renderElement;
    return function renderElement(props) {
        if (props.element.type !== exports.ELEMENT_TYPE)
            return originalRenderElement(props);
        return (0, jsx_runtime_1.jsx)(Component, { ...props, element: props.element });
    };
}
exports.ImageInline = {
    withEditor,
    withRenderElement,
};
