/// <reference types="react" />
import { RenderElementProps } from "slate-react";
import { FullCloudEditor } from "../..";
export declare type TitledImageBlockElementType = {
    type: "titled-image-block";
    id: string;
    title: string;
    width: number;
    height: number;
    maxWidth: number;
    maxHeight: number;
    isAnimated?: boolean;
    children: [{
        text: "";
    }];
};
/**
 * Augment `Editor` to support this element type
 */
declare function withEditor(editor: FullCloudEditor): FullCloudEditor;
/**
 * Augment `renderElement` method to support this element type
 */
declare function withRenderElement(renderElement: (props: RenderElementProps) => JSX.Element): (props: RenderElementProps) => JSX.Element;
export declare const TitledImageBlock: {
    withEditor: typeof withEditor;
    withRenderElement: typeof withRenderElement;
};
export {};
