import { Upload, UploadState } from "../types";
/**
 * Creates an origin store using `zustand`.
 *
 * The purpose of this is to keep track of uploads and their progress but only
 * storing the key to the lookup in the Element itself. We do it this way
 * because we don't want to modify the Editor value during the upload or it
 * becomes part of the edit history.
 */
export declare const createUploadStore: ({ origins: origins, }?: {
    origins: Record<string, Upload>;
}) => import("zustand").UseBoundStore<UploadState, import("zustand").StoreApi<UploadState>>;
