"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoveButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const slate_react_1 = require("slate-react");
const slate_1 = require("slate");
const circle_x_icon_1 = require("../icons/circle-x-icon");
function RemoveButton({ element }) {
    const editor = (0, slate_react_1.useSlateStatic)();
    const onMouseDown = (0, react_1.useCallback)(() => {
        const at = slate_react_1.ReactEditor.findPath(editor, element);
        slate_1.Transforms.removeNodes(editor, { at });
    }, [editor]);
    return ((0, jsx_runtime_1.jsx)("div", { draggable: false, onMouseDown: onMouseDown, style: {
            position: "absolute",
            width: 24,
            height: 24,
            top: 4,
            right: 4,
            color: "#cc0000",
            cursor: "pointer",
        }, children: (0, jsx_runtime_1.jsx)(circle_x_icon_1.CircleX, { width: 24, height: 24 }) }));
}
exports.RemoveButton = RemoveButton;
