import { AttachmentBlock, } from "../attachment-block";
import { ImageBlock } from "../image-block";
/**
 * Adds both ImageBlock and AttachmentBlock handling to the editor
 */
function withEditor(editor) {
    /**
     * NOTE: `ImageBlock` needs to be on the outside so it gets handled first
     * on and upload. Otherwise `AttachmentBlock` will handle the image upload.
     */
    return ImageBlock.withEditor(AttachmentBlock.withEditor(editor));
}
/**
 * Rendering for both `ImageBlock` and `AttachmentBlock`
 */
function withRenderElement(renderElement) {
    return ImageBlock.withRenderElement(AttachmentBlock.withRenderElement(renderElement));
}
export const CloudComponents = {
    withEditor,
    withRenderElement,
};
