import { jsx as _jsx } from "react/jsx-runtime";
import { useCallback } from "react";
import { ReactEditor, useSlateStatic } from "slate-react";
import { Transforms } from "slate";
import { CircleX } from "../icons/circle-x-icon";
export function RemoveButton({ element }) {
    const editor = useSlateStatic();
    const onMouseDown = useCallback(() => {
        const at = ReactEditor.findPath(editor, element);
        Transforms.removeNodes(editor, { at });
    }, [editor]);
    return (_jsx("div", { draggable: false, onMouseDown: onMouseDown, style: {
            position: "absolute",
            width: 24,
            height: 24,
            top: 4,
            right: 4,
            color: "#cc0000",
            cursor: "pointer",
        }, children: _jsx(CircleX, { width: 24, height: 24 }) }));
}
